## helma.image.imageio.gif
Class GIFImageWriterSpi

    java.lang.Object
      javax.imageio.spi.IIOServiceProvider
          javax.imageio.spi.ImageReaderWriterSpi
              javax.imageio.spi.ImageWriterSpi
                  helma.image.imageio.gif.GIFImageWriterSpi

All Implemented Interfaces:
  javax.imageio.spi.RegisterableService

    public class GIFImageWriterSpi

extends javax.imageio.spi.ImageWriterSpi

Field Summary

Fields inherited from class javax.imageio.spi.ImageWriterSpi
`outputTypes, readerSpiNames, STANDARD_OUTPUT_TYPE`

Fields inherited from class javax.imageio.spi.ImageReaderWriterSpi
`extraImageMetadataFormatClassNames, extraImageMetadataFormatNames, extraStreamMetadataFormatClassNames, extraStreamMetadataFormatNames, MIMETypes, names, nativeImageMetadataFormatClassName, nativeImageMetadataFormatName, nativeStreamMetadataFormatClassName, nativeStreamMetadataFormatName, pluginClassName, suffixes, supportsStandardImageMetadataFormat, supportsStandardStreamMetadataFormat`

Fields inherited from class javax.imageio.spi.IIOServiceProvider
`vendorName, version`

Constructor Summary
`GIFImageWriterSpi()`

Method Summary
`boolean` `canEncodeImage(javax.imageio.ImageTypeSpecifier type)`
`javax.imageio.ImageWriter` `createWriterInstance(java.lang.Object extension)`
`java.lang.String` `getDescription(java.util.Locale locale)`

Methods inherited from class javax.imageio.spi.ImageWriterSpi
`canEncodeImage, createWriterInstance, getImageReaderSpiNames, getOutputTypes, isFormatLossless, isOwnWriter`

Methods inherited from class javax.imageio.spi.ImageReaderWriterSpi
`getExtraImageMetadataFormatNames, getExtraStreamMetadataFormatNames, getFileSuffixes, getFormatNames, getImageMetadataFormat, getMIMETypes, getNativeImageMetadataFormatName, getNativeStreamMetadataFormatName, getPluginClassName, getStreamMetadataFormat, isStandardImageMetadataFormatSupported, isStandardStreamMetadataFormatSupported`

Methods inherited from class javax.imageio.spi.IIOServiceProvider
`getVendorName, getVersion, onDeregistration, onRegistration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GIFImageWriterSpi

    public GIFImageWriterSpi()

Method Detail

### getDescription

    public java.lang.String getDescription(java.util.Locale locale)

  Specified by:
    `getDescription` in class `javax.imageio.spi.IIOServiceProvider`

### createWriterInstance

    public javax.imageio.ImageWriter createWriterInstance(java.lang.Object extension)
                                                   throws java.io.IOException

  Specified by:
    `createWriterInstance` in class `javax.imageio.spi.ImageWriterSpi`
  Throws:
    `java.io.IOException`

### canEncodeImage

    public boolean canEncodeImage(javax.imageio.ImageTypeSpecifier type)

  Specified by:
    `canEncodeImage` in class `javax.imageio.spi.ImageWriterSpi`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.